Qt 5.6 | Qt Widgets | C++ Classes | QMouseEventTransition

Qt 5.6.2 Reference Documentation

# QMouseEventTransition Class

The QMouseEventTransition class provides a transition for mouse events. More...

Header: | #include <QMouseEventTransition>
qmake: | QT += widgets
Since: | Qt 4.6

- List of all members, including inherited members

## Properties

- button : Qt::MouseButton
- modifierMask : Qt::KeyboardModifiers

## Public Functions

| QMouseEventTransition(QState *sourceState = Q_NULLPTR)
| QMouseEventTransition(QObject *object, QEvent::Type type, Qt::MouseButton button, QState *sourceState = Q_NULLPTR)
| ~QMouseEventTransition()
Qt::MouseButton | button() const
QPainterPath | hitTestPath() const
Qt::KeyboardModifiers | modifierMask() const
void | setButton(Qt::MouseButton button)
void | setHitTestPath(const QPainterPath &path)
void | setModifierMask(Qt::KeyboardModifiers modifierMask)

## Protected Functions

bool | eventTest(QEvent *event)
void | onTransition(QEvent *event)

## Detailed Description

The QMouseEventTransition class provides a transition for mouse events.

QMouseEventTransition is part of The State Machine Framework.

See also QState::addTransition().

## Property Documentation

### button : Qt::MouseButton

This property holds the button that this mouse event transition is associated with.

Access functions:

Qt::MouseButton | button() const
void | setButton(Qt::MouseButton button)

### modifierMask : Qt::KeyboardModifiers

This property holds the keyboard modifier mask that this mouse event transition checks for.

Access functions:

Qt::KeyboardModifiers | modifierMask() const
void | setModifierMask(Qt::KeyboardModifiers modifierMask)

## Member Function Documentation

### QMouseEventTransition::QMouseEventTransition(QState *sourceState = Q_NULLPTR)

Constructs a new mouse event transition with the given sourceState.

### QMouseEventTransition::QMouseEventTransition(QObject *object, QEvent::Type type, Qt::MouseButton button, QState *sourceState = Q_NULLPTR)

Constructs a new mouse event transition for events of the given type for the given object, with the given button and sourceState.

### QMouseEventTransition::~QMouseEventTransition()

Destroys this mouse event transition.

### Qt::MouseButton QMouseEventTransition::button() const

Returns the button that this mouse event transition checks for.

Note: Getter function for property button.

See also setButton().

### `[protected]` bool QMouseEventTransition::eventTest(QEvent *event)

### QPainterPath QMouseEventTransition::hitTestPath() const

Returns the hit test path for this mouse event transition.

See also setHitTestPath().

### Qt::KeyboardModifiers QMouseEventTransition::modifierMask() const

Returns the keyboard modifier mask that this mouse event transition checks for.

Note: Getter function for property modifierMask.

See also setModifierMask().

### `[protected]` void QMouseEventTransition::onTransition(QEvent *event)

### void QMouseEventTransition::setButton(Qt::MouseButton button)

Sets the button that this mouse event transition will check for.

Note: Setter function for property button.

See also button().

### void QMouseEventTransition::setHitTestPath(const QPainterPath &path)

Sets the hit test path for this mouse event transition to path. If a valid path has been set, the transition will only trigger if the mouse event position (QMouseEvent::pos()) is inside the path.

See also hitTestPath() and QPainterPath::contains().

### void QMouseEventTransition::setModifierMask(Qt::KeyboardModifiers modifierMask)

Sets the keyboard modifier mask that this mouse event transition will check for to modifierMask.

Note: Setter function for property modifierMask.

See also modifierMask().